$packageName    = 'kubernetes-cli'
$url            = 'https://dl.k8s.io/v1.7.2/kubernetes-client-windows-386.tar.gz'
$url64          = 'https://dl.k8s.io/v1.7.2/kubernetes-client-windows-amd64.tar.gz'
$checksum       = '3fe1e082176e09aba62b6414f5fb4ea8d43880ab04766535ae68e6500c868764'
$checksum64     = '1ddbdc59bd97b044b63a46da175a5e5298b8947cc49511e3b378d0298736c66d'
$checksumType   = 'sha256'
$checksumType64 = 'sha256'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$tempDir    = "$toolsDir\temp"


# Download and unzip into a temp folder
Install-ChocolateyZipPackage -PackageName "$packageName" -UnzipLocation "$tempDir" -Url "$url" -Url64 "$url64" -Checksum "$checksum" -ChecksumType "$checksumType" -Checksum64 "$checksum64" -ChecksumType64 "$checksumType64"

# Untar into tools folder
Get-ChocolateyUnzip -PackageName "$packageName" -FileFullPath "$tempDir" -Destination "$toolsDir"

# Remove temp folder
Remove-Item "$tempDir\*" -recurse
Remove-Item "$tempDir"
